WordPress 5.0 利用開始前に知っておくべきこと

WordPress 5.0 には、編集エディターの一新と、それに伴うデータ保存形式の変更という、かつてない大きな仕様変更が含まれています。そのため、従来の更新とは異なり、利用開始の際には、すべての利用者が対応のためのなんらかのアクションと決断を行わなくてはなりません。

編集者は、新しいエディターについての知識が必要となります。サイト開発者・管理者の方は、新しいエディターを取り入れたサイトが意図した通りに動作することを事前に確認してください。

新エディター Gutenberg ブロックエディターに備える 新エディター Gutenberg ブロックエディターに備える

WordPress 5.0 利用開始時にもっとも注意すべき点は、旧バージョンから更新、または、新規インストールを行った場合に、デフォルトのエディターが、従来のエディター(クラシックエディター)から新エディター (ブロックエディター、コード名 Gutenberg)に置き換わることです。これがどのような影響を及ぼすかは個々のサイトにより事情が異なるため、具体的に述べることはできませんが、トラブルなくブロックエディター環境に移行するための条件として、少なくとも次の2点は、誰にとっても避けることのできないものです。

  1. ブロックエディターの使用方法の習得
  2. ブロックエディターと利用プラグイン・テーマの間に互換性の問題がないことの確認

上記は、公開中のサイトに影響を与えることのないテスト環境で行われることが理想的ですが、それが難しい場合、あるいは、2で問題が起こってしまった場合には、次に示すオプションを検討してください。

トップ ↑

従来のエディターを復元する(オプション) 従来のエディターを復元する(オプション)

この大きな変更にすぐに対応するのは難しいという方のために、従来のエディターの利用を継続するためのオプションが用意されています。

Classic Editor プラグインをプラグインディレクトリからダウンロード、または、WordPress 管理画面の「プラグイン」→「新規追加」から検索してインストールし、有効化することで、デフォルトの設定で従来のエディター(クラシックエディター)を継続利用できるようになります。

既存のサイトであらかじめ Classic Editor プラグインを有効化しておけば、 WordPress 5.0 に更新した時に従来のエディターがブロックエディターに置き換わる動作を回避することができますので、従来のエディターを継続利用すると決断された方は Classic Editor プラグインを事前に有効化することを忘れないようにしてください。

トップ ↑

日本語版独自の変更点 日本語版独自の変更点

WordPress 5.0 以降、ダウンロード版日本語版パッケージに WP Multibyte Patch プラグインは含まれなくなります。これにより、日本語版は、自動パッケージ化・リリース化のためのシステム要件を満たすこととなり、パッケージシステムが選択する最短のタイミングでリリースされるようになります。

この変更は、すでに WP Multibyte Patch を利用中、あるいはインストール済みのサイトには影響を与えません。

一方、日本語版パッケージを新規インストールする場合には、今後、必要に応じて WP Multibyte Patch をプラグインディレクトリからダウンロード、または、WordPress 管理画面の「プラグイン」→「新規追加」から検索してインストールしてください。